Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerResultSet

All Superinterfaces:
  `java.lang.AutoCloseable`, `java.sql.ResultSet`, `java.sql.Wrapper`

All Known Subinterfaces:
  `ISQLServerResultSet42`

All Known Implementing Classes:
  `SQLServerResultSet`, `SQLServerResultSet42`

    public interface ISQLServerResultSet
    extends java.sql.ResultSet

### Field Summary

Fields
`static int` `CONCUR_SS_OPTIMISTIC_CC`
`static int` `CONCUR_SS_OPTIMISTIC_CCVAL`
`static int` `CONCUR_SS_SCROLL_LOCKS`
`static int` `TYPE_SS_DIRECT_FORWARD_ONLY`
`static int` `TYPE_SS_SCROLL_DYNAMIC`
`static int` `TYPE_SS_SCROLL_KEYSET`
`static int` `TYPE_SS_SCROLL_STATIC`
`static int` `TYPE_SS_SERVER_CURSOR_FORWARD_ONLY`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`DateTimeOffset` `getDateTimeOffset​(int columnIndex)` Retrieves the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.
`DateTimeOffset` `getDateTimeOffset​(java.lang.String columnName)` Retrieves the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(java.lang.String columnName, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### TYPE_SS_DIRECT_FORWARD_ONLY

    static final int TYPE_SS_DIRECT_FORWARD_ONLY

See Also:
  Constant Field Values

#### TYPE_SS_SERVER_CURSOR_FORWARD_ONLY

    static final int TYPE_SS_SERVER_CURSOR_FORWARD_ONLY

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_STATIC

    static final int TYPE_SS_SCROLL_STATIC

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_KEYSET

    static final int TYPE_SS_SCROLL_KEYSET

See Also:
  Constant Field Values

#### TYPE_SS_SCROLL_DYNAMIC

    static final int TYPE_SS_SCROLL_DYNAMIC

See Also:
  Constant Field Values

#### CONCUR_SS_OPTIMISTIC_CC

    static final int CONCUR_SS_OPTIMISTIC_CC

See Also:
  Constant Field Values

#### CONCUR_SS_SCROLL_LOCKS

    static final int CONCUR_SS_SCROLL_LOCKS

See Also:
  Constant Field Values

#### CONCUR_SS_OPTIMISTIC_CCVAL

    static final int CONCUR_SS_OPTIMISTIC_CCVAL

See Also:
  Constant Field Values

### Method Detail

#### getDateTimeOffset

    DateTimeOffset getDateTimeOffset​(int columnIndex)
                              throws java.sql.SQLException

Retrieves the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.

Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `java.sql.SQLException` - when an error occurs

#### getDateTimeOffset

    DateTimeOffset getDateTimeOffset​(java.lang.String columnName)
                              throws java.sql.SQLException

Retrieves the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.

Parameters:
  `columnName` - The name of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `java.sql.SQLException` - when an error occurs

#### updateDateTimeOffset

    void updateDateTimeOffset​(int index,
                              DateTimeOffset x)
                       throws java.sql.SQLException

Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `java.sql.SQLException` - when an error occurs

#### updateDateTimeOffset

    void updateDateTimeOffset​(java.lang.String columnName,
                              DateTimeOffset x)
                       throws java.sql.SQLException

Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `java.sql.SQLException` - when an error occurs